using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using DevExpress.XtraBars;
using static SystemX.Product.ALIS.UI.Commons;
using static SystemX.Product.ALIS.UI.View.ViewCfg;

namespace SystemX.Product.ALIS.UI
{
    public partial class FrmMain 
    {
        private void barButtonItem_HistoryList_ItemClick(object sender, ItemClickEventArgs e)
        {
            //OpenViewModel(eAppFunctionType.M_ProductionHistory);
        }

        private void btnHostInfo_ItemClick(object sender, ItemClickEventArgs e)
        {
            OpenViewModel(eAppFunctionType.M_HostList, LoginAccessLevel.Basic, eSelectType.HostList, LoginCheck(LoginAccessLevel.Basic));
        }

        private void barButtonItemUser_ItemClick(object sender, ItemClickEventArgs e)
        {
            OpenViewModel(eAppFunctionType.M_UserList, LoginAccessLevel.Admin, eSelectType.UserList, LoginCheck(LoginAccessLevel.Admin));
        }

        private void barButtonItemMgGroup_ItemClick(object sender, ItemClickEventArgs e)
        {
            OpenViewModel(eAppFunctionType.M_GroupList, LoginAccessLevel.Basic, eSelectType.GroupList, LoginCheck(LoginAccessLevel.Basic));
        }

        private void barButtonItemMgTestCode_ItemClick(object sender, ItemClickEventArgs e)
        {
            OpenViewModel(eAppFunctionType.M_TestCodeList, LoginAccessLevel.Basic, eSelectType.TestCodeList, LoginCheck(LoginAccessLevel.Basic));
        }

        private void barButtonItemTestListFile_ItemClick(object sender, ItemClickEventArgs e)
        {
            OpenViewModel(eAppFunctionType.M_TestListFile, LoginAccessLevel.Basic, eSelectType.TestListFile, LoginCheck(LoginAccessLevel.Basic));
        }

        private void barButtonItemTestListVariant_ItemClick(object sender, ItemClickEventArgs e)
        {
            OpenViewModel(eAppFunctionType.M_TestListVariant, LoginAccessLevel.Basic, eSelectType.TestListVariant, LoginCheck(LoginAccessLevel.Basic));
        }

        private void barButtonItemTestListRelease_ItemClick(object sender, ItemClickEventArgs e)
        {
            OpenViewModel(eAppFunctionType.M_TestListRelease, LoginAccessLevel.Basic, eSelectType.TestListRelease, LoginCheck(LoginAccessLevel.Basic));
        }
    }
}
